# Get Facebook Messenger channel information

Returns the information for a Facebook Messenger channel linked to a Conversation API App.

Endpoint: GET /v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `conversationAppId` (string, required)
    The unique ID of the app. You can find this on the Sinch Dashboard.

## Response 200 fields (application/json):

  - `status` (string, required)
    Channel integration status.
    Enum: "ACTIVE", "ERROR", "FAILING", "PENDING", "UNRECOGNIZED"

  - `statusDescription` (string)
    Channel integration description if status is ERROR or FAILED.

  - `id` (string)
    The ID of the page.

  - `name` (string)
    The name of the page.

  - `globalBrandPageName` (string)
    The name of the Page with country codes appended for Global Pages. Only visible to the Page admin.

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "conversation_app_id_invalid"

  - `message` (string)
    Human readable message.
    Example: "Conversation app id not valid."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify the id is correct."

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `body` (ConversationAppNotFoundErrorTitle (object) or ConversationAppNoMessengerChannelErrorTitle (object)) — one of:
    - ConversationAppNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "conversation_app_not_found"
      - `message` (string)
        Human readable message.
        Example: "Conversation app not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the parameters are correct."
    - ConversationAppNoMessengerChannelErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "conversation_app_no_messenger_channel"
      - `message` (string)
        Human readable message.
        Example: "Conversation app has no initialized Messenger channel."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the parameters are correct."

## Response 500 fields (application/json):

  - `body` (FacebookApiErrorErrorTitle (object) or InternalErrorErrorTitle (object)) — one of:
    - FacebookApiErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "facebook_api_error"
      - `message` (string)
        Human readable message.
        Example: "Facebook API returned error."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please try again later."
    - InternalErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "internal_error"
      - `message` (string)
        Human readable message.
        Example: "Internal server error."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please wait and try again, if the error persist please contact support."


